s6-rc
Software
skarnet.org

# The s6-rc-dryrun internal program

s6-rc-dryrun is a command wrapper and nullifier, roughly equivalent to the Unix `echo` command. When run, it simply prints its arguments to stdout.

s6-rc-dryrun is not meant to be used directly; it is internally called by s6-rc when given the `-n` option. When a dry-running s6-rc instance wants to change the system state by spawning a command `cmd`, it spawns `s6-rc-dryrun cmd` instead, which allows the user to see what would have been done without actually running the command.

## Interface

         s6-rc-dryrun [ -v verbosity ] [ -t timeout ] cmd...

- s6-rc-dryrun prints its name, a colon, a space, and the space-separated list of its arguments to stdout.
- It then waits for timeout milliseconds, then exits 0.

## Options

- `-v verbosity` : if verbosity is 0, s6-rc-dryrun will not print anything to stdout. Default is 1.
- `-t timeout` : sleep for timeout milliseconds before exiting. Default is 1000, but when invoked by s6-rc, it will be the value of the dryruntimeout argument to the `-n` option. This is used to simulate a start or stop script that does not complete immediately.